Name:           ocaml-ansiterminal
Version:        0.6
Release:        %mkrel 1
Summary:        This module offers basic control of ANSI compliant terminals and the windows shell
License:        LGPL with static compilation exception
Group:          Development/Other
URL:            http://forge.ocamlcore.org/projects/ansiterminal/
Source0:        http://forge.ocamlcore.org/frs/download.php/610/ANSITerminal-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
ANSITerminal is a module allowing to use the colors and cursor
movements on ANSI terminals. It also works on the windows shell (but
this part is currently work in progress).

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ANSITerminal-%{version}

%build
ocaml setup.ml -configure --docdir %{buildroot}no_install
make
make doc
mv API.docdir doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/ANSITerminal
make install
rm -rf %{buildroot}no_install

%files
%doc LICENSE.txt
%dir %{_libdir}/ocaml/ANSITerminal
%{_libdir}/ocaml/ANSITerminal/META
%{_libdir}/ocaml/ANSITerminal/*.cma
%{_libdir}/ocaml/ANSITerminal/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc AUTHORS.txt INSTALL.txt README.txt
%doc doc/
%doc test.ml
%{_libdir}/ocaml/ANSITerminal/*.a
%{_libdir}/ocaml/ANSITerminal/*.cmxa
%{_libdir}/ocaml/ANSITerminal/*.mli


%changelog

* Fri Mar 23 2012 blue_prawn <blue_prawn> 0.6-1.mga2
+ Revision: 225975
- imported package ocaml-ansiterminal

